%define name flexbackup
%define version 0.9.8
%define release 1mdk

Name:		%{name}
Summary:	Flexible backup script
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Archiving/Backup
URL:		http://members.home.com/flexbackup/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-%{version}
BuildArch:	noarch
Requires:	mt-st, gzip, bzip2, ncompress, fileutils, findutils, perl
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
Flexible backup script.

Features:
   o Easy to configure
   o Uses dump, afio, tar, or cpio with the flick of a switch
   o Backup, extract, compare, list modes
   o Compression and buffering for all backup types
   o Full (0) and 1-9 levels of incremental backup
   o Keeps a table of contents so you know whats on each tape
   o Does remote filesystems (over rsh/ssh; no special service)
   o Works with IDE/SCSI tapes on Linux/FreeBSD, Linux ftape, or disk files
   o Nice log files


%prep
%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT


%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/var/state/flexbackup
mkdir -p $RPM_BUILD_ROOT/var/log/flexbackup
make fb.install
install -m 0644 flexbackup.conf $RPM_BUILD_ROOT/etc/flexbackup.conf
install -m 0755 fb.install $RPM_BUILD_ROOT/usr/bin/flexbackup


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root,0755)
%doc CHANGES COPYING TODO README CREDITS flexbackup.lsm INSTALL
/usr/bin/flexbackup
%dir /var/state/flexbackup
%dir /var/log/flexbackup
%config /etc/flexbackup.conf


%changelog
* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.9.8-1mdk
- initial RPM build for Mandrake
- bzip2 sources
